ラック
Home > ブログ > 記事 > 2017年10月 > npm installでgitのエラー

npm installでgitのエラー

カテゴリ: 開発環境

npm install --save-devで、必要なプラグインなどを一式ダウンロードしようとしたらコケました。エラーメッセージとしては下記のようなもの。


npm ERR! git submodule -q update --init --recursive: /mingw64/libexec/git-core/git-sh-setup: line 46: /git-sh-i18n: No such file or directory
npm ERR! git submodule -q update --init --recursive:

npmでgit?とも思われるかもしれませんが、package.jsonの中で、Honokaを入れる都合、GithubからGitでの取得も行っており、おそらくそこでコケているのだと思われます。

で、他の環境で同じpackage.json使ってもエラーが起きないのでどうやらPC固有の問題っぽいのですが……これは困った。

色々検索しましたがこれといって対処法が掴めず諦めていたところ……

いつの間にかHonokaがnpm対応している(2017/8/3)じゃないですかヤッター!

根本的な対処にはなっていませんが、Github使っているのはHonokaだけなので、脱Githubしてしまえばとりあえず目的は達成されるので、こちらを試してみます。

タグ: トラブル対処,bootstrap,Git,Node.js

 



関連する記事一覧